function g2 = static_g2(T, y, x, params, T_flag)
% function g2 = static_g2(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g2
%

if T_flag
    T = RANK_q4.objective.static_g2_tt(T, y, x, params);
end
v2 = zeros(2,3);
v2(1,1)=1;
v2(2,1)=1;
v2(1,2)=121;
v2(2,2)=161;
v2(1,3)=(-1)/(y(4)*y(4));
v2(2,3)=(-(params(11)*getPowerDeriv(y(5),1+params(10),2)/(1+params(10))));
g2 = sparse(v2(:,1),v2(:,2),v2(:,3),1,1521);
end
