function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 32);

T(1) = y(5)^(-params(5));
T(2) = y(11)^params(5);
T(3) = getPowerDeriv(y(3),params(5),1);
T(4) = (1-params(5))*params(21)*T(2)*T(3);
T(5) = y(5)^(1-params(5));
T(6) = getPowerDeriv(y(3),params(5)-1,1);
T(7) = T(2)*params(5)*params(21)*T(6);
T(8) = params(19)/2*(y(17)-params(3))^2;
T(9) = getPowerDeriv(y(11)*y(3),params(5),1);
T(10) = (-(y(15)*y(17)-y(17)-T(8)+y(16)/params(22)-y(16)));
T(11) = params(11)*y(5)^params(10);
T(12) = params(23)^(-1);
T(13) = params(21)*(y(11)*y(3))^params(5);
T(14) = getPowerDeriv(y(5),1-params(5),1);
T(15) = params(11)*getPowerDeriv(y(5),params(10),1);
T(16) = y(3)^(params(5)-1);
T(17) = y(3)^params(5);
T(18) = getPowerDeriv(y(5),(-params(5)),1);
T(19) = params(15)/2*y(9)^2;
T(20) = (-(1/((params(12)-1)/params(12))));
T(21) = params(15)/2*2*y(9);
T(22) = y(7)*T(21);
T(23) = getPowerDeriv(y(11),params(5),1);
T(24) = exp((1-params(8)*params(16))*log(y(11)))*(1-params(8)*params(16))*1/y(11);
T(25) = (-1)/params(8)/y(15);
T(26) = (-((y(15)*(1/params(8)-params(3))-(y(16)-y(15)*params(3)))/(y(15)*y(15))));
T(27) = (-(y(3)*(1/params(22)-1)));
T(28) = 1+params(19)/2*2*(y(17)-params(3));
T(29) = y(15)-1-params(19)/2*2*(y(17)-params(3));
T(30) = T(29)+(y(2)-(y(17)-params(3)))*(-params(19))-(y(15)-1-(y(17)-params(3))*params(19))+(-params(19))/params(8);
T(31) = (y(20)-(y(20)-1))/(y(20)*y(20));
T(32) = (-(y(8)-(y(20)-1)/y(20)+y(20)*(-T(31))));

end
